POST /v1/internal/anyspend/order-completed
Handle AnySpend order-completed callback
POST
/v1/internal/anyspend/order-completed
Handle AnySpend order-completed callback
Header Parameters
x-api-key
string
required
header
API key for authentication
Request Body required
AnySpend callback payload
application/jsonOne of:
Option 1
Option 2
callbackMetadata
object
clientReferenceId
string
event
string
orderId
string
payment
object
dstAmount
string
dstChain
integer
dstTokenAddress
string
dstTokenDecimals
integer
dstTokenSymbol
string
recipientAddress
string
status
string
txHash
string
Responses
200
OK
application/jsonexecutionId
string
runId
string
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.example.com/v1/internal/anyspend/order-completed' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'x-api-key: string' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/internal/anyspend/order-completed', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json", "x-api-key": "string" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN', 'x-api-key': 'string'}response = requests.post('https://api.example.com/v1/internal/anyspend/order-completed', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/internal/anyspend/order-completed", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") req.Header.Set("x-api-key", "string") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "executionId": "<string>", "runId": "<string>"}
API Playground
Try this endpoint
POST
/v1/internal/anyspend/order-completed
